Index: pjproject/trunk/pjlib/build/pjlib++-test.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib++-test.vcproj	(revision 124)
+++ pjproject/trunk/pjlib/build/pjlib++-test.vcproj	(revision 124)
@@ -0,0 +1,176 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="pjlib++_test"
+	SccProjectName=""
+	SccLocalPath="">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc7-debug"
+			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc7-debug"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../include,../../pjlib-util/include"
+				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;PJ_WIN32=1;PJ_M_I386=1"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test.pch"
+				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc7-debug/"
+				ObjectFile=".\./output/pjlib++-test-i386-win32-vc7-debug/"
+				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc7-debug/"
+				BrowseInformation="1"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				DebugInformationFormat="4"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
+				OutputFile="../bin/pjlib++-test-i386-win32-vc7-debug.exe"
+				LinkIncremental="1"
+				SuppressStartupBanner="TRUE"
+				GenerateDebugInformation="TRUE"
+				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test-i386-win32-vc7-debug.pdb"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc7-debug/pjlib++-test.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1033"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory=".\./output/pjlib++-test-i386-win32-vc7-release"
+			IntermediateDirectory=".\./output/pjlib++-test-i386-win32-vc7-release"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="../include,../../pjlib-util/include"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;PJ_WIN32=1;PJ_M_I386=1"
+				StringPooling="TRUE"
+				RuntimeLibrary="2"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test.pch"
+				AssemblerListingLocation=".\./output/pjlib++-test-i386-win32-vc7-release/"
+				ObjectFile=".\./output/pjlib++-test-i386-win32-vc7-release/"
+				ProgramDataBaseFileName=".\./output/pjlib++-test-i386-win32-vc7-release/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib"
+				OutputFile="../bin/pjlib++-test-i386-win32-vc7-release.exe"
+				LinkIncremental="1"
+				SuppressStartupBanner="TRUE"
+				ProgramDatabaseFile=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test-i386-win32-vc7-release.pdb"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName=".\./output/pjlib++-test-i386-win32-vc7-release/pjlib++-test.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="NDEBUG"
+				Culture="1033"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
+			<File
+				RelativePath="..\src\pjlib++-test\main.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl">
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: pjproject/trunk/pjlib/build/pjlib++.dsp
===================================================================
--- pjproject/trunk/pjlib/build/pjlib++.dsp	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib++.dsp	(revision 124)
@@ -51,5 +51,5 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"../lib/pjlibp_vc6s.lib"
+# ADD LIB32 /nologo /out:"../lib/pjlib++-i386-win32-vc6-release.lib"
 
 !ELSEIF  "$(CFG)" == "pjlib++ - Win32 Debug"
@@ -75,5 +75,5 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"../lib/pjlibp_vc6sd.lib"
+# ADD LIB32 /nologo /out:"../lib/pjlib++-i386-win32-vc6-debug.lib"
 
 !ENDIF 
Index: pjproject/trunk/pjlib/build/pjlib++.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib++.vcproj	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib++.vcproj	(revision 124)
@@ -3,9 +3,7 @@
 	ProjectType="Visual C++"
 	Version="7.10"
-	Name="pjlibpp"
-	SccProjectName=""
-	SccAuxPath=""
-	SccLocalPath=""
-	SccProvider="">
+	Name="pjlib++"
+	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
+	SccLocalPath=".">
 	<Platforms>
 		<Platform
@@ -15,6 +13,6 @@
 		<Configuration
 			Name="Release|Win32"
-			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-release"
-			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-release"
+			OutputDirectory=".\output\pjlib++-i386-win32-vc7-release"
+			IntermediateDirectory=".\output\pjlib++-i386-win32-vc7-release"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -25,13 +23,13 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
+				AdditionalIncludeDirectories="../include,../../pjlib-util/include"
+				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32=1;PJ_M_I386=1"
 				StringPooling="TRUE"
 				RuntimeLibrary="2"
 				EnableFunctionLevelLinking="TRUE"
-				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-release/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-release/"
-				ObjectFile=".\output\pjlibpp-i386-win32-vc7-release/"
-				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-release/"
+				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc7-release/pjlib++.pch"
+				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc7-release/"
+				ObjectFile=".\output\pjlib++-i386-win32-vc7-release/"
+				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc7-release/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -41,5 +39,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlibp_vc6s.lib"
+				OutputFile="../lib/pjlib++-i386-win32-vc7-release.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -66,6 +64,6 @@
 		<Configuration
 			Name="Debug|Win32"
-			OutputDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
-			IntermediateDirectory=".\output\pjlibpp-i386-win32-vc7-debug"
+			OutputDirectory=".\output\pjlib++-i386-win32-vc7-debug"
+			IntermediateDirectory=".\output\pjlib++-i386-win32-vc7-debug"
 			ConfigurationType="4"
 			UseOfMFC="0"
@@ -75,12 +73,12 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
-				AdditionalIncludeDirectories="../src"
-				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
+				AdditionalIncludeDirectories="../include,../../pjlib-util/include"
+				PreprocessorDefinitions="_DEBUG;WIN32;_LIB;PJ_WIN32=1;PJ_M_I386=1"
 				BasicRuntimeChecks="3"
 				RuntimeLibrary="1"
-				PrecompiledHeaderFile=".\output\pjlibpp-i386-win32-vc7-debug/pjlibpp.pch"
-				AssemblerListingLocation=".\output\pjlibpp-i386-win32-vc7-debug/"
-				ObjectFile=".\output\pjlibpp-i386-win32-vc7-debug/"
-				ProgramDataBaseFileName=".\output\pjlibpp-i386-win32-vc7-debug/"
+				PrecompiledHeaderFile=".\output\pjlib++-i386-win32-vc7-debug/pjlib++.pch"
+				AssemblerListingLocation=".\output\pjlib++-i386-win32-vc7-debug/"
+				ObjectFile=".\output\pjlib++-i386-win32-vc7-debug/"
+				ProgramDataBaseFileName=".\output\pjlib++-i386-win32-vc7-debug/"
 				WarningLevel="3"
 				SuppressStartupBanner="TRUE"
@@ -91,5 +89,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="../lib/pjlibp_vc6sd.lib"
+				OutputFile="../lib/pjlib++-i386-win32-vc7-debug.lib"
 				SuppressStartupBanner="TRUE"/>
 			<Tool
@@ -119,108 +117,47 @@
 	<Files>
 		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
-			<File
-				RelativePath="..\src\pj++\compiletest.cpp">
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj++\pj++.cpp">
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj++\proactor.cpp">
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"/>
-				</FileConfiguration>
-			</File>
-		</Filter>
-		<Filter
 			Name="Header Files"
 			Filter="h;hpp;hxx;hm;inl">
 			<File
-				RelativePath="..\src\pj++\hash.hpp">
+				RelativePath="..\include\pj++\file.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\ioqueue.hpp">
+				RelativePath="..\include\pj++\hash.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\list.hpp">
+				RelativePath="..\include\pj++\list.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\os.hpp">
+				RelativePath="..\include\pj++\lock.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pjlib++.hpp">
+				RelativePath="..\include\pj++\os.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\pool.hpp">
+				RelativePath="..\include\pjlib++.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\proactor.hpp">
+				RelativePath="..\include\pj++\pool.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\scanner.hpp">
+				RelativePath="..\include\pj++\proactor.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\sock.hpp">
+				RelativePath="..\include\pj++\scanner.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\string.hpp">
+				RelativePath="..\include\pj++\sock.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\timer.hpp">
+				RelativePath="..\include\pj++\string.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\tree.hpp">
+				RelativePath="..\include\pj++\timer.hpp">
 			</File>
 			<File
-				RelativePath="..\src\pj++\types.hpp">
+				RelativePath="..\include\pj++\tree.hpp">
+			</File>
+			<File
+				RelativePath="..\include\pj++\types.hpp">
 			</File>
 		</Filter>
Index: pjproject/trunk/pjlib/build/pjlib.sln
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.sln	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib.sln	(revision 124)
@@ -1,22 +1,46 @@
 Microsoft Visual Studio Solution File, Format Version 8.00
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib", "pjlib.vcproj", "{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib", "pjlib.vcproj", "{4A6465DC-D757-43F2-9180-60920E33522B}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_samples", "pjlib_samples.vcproj", "{07AD8099-71FF-4DA3-9078-EF787D88A494}"
-	ProjectSection(ProjectDependencies) = postProject
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A} = {7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_test", "pjlib_test.vcproj", "{14E6C298-03F6-4125-8545-7FD5A34B8E5A}"
-	ProjectSection(ProjectDependencies) = postProject
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A} = {7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}
-	EndProjectSection
-EndProject
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlibpp", "pjlibpp.vcproj", "{7BB69569-F8F5-41AB-95BB-9E3AA3A0CAB4}"
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++", "pjlib++.vcproj", "{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}"
 	ProjectSection(ProjectDependencies) = postProject
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib++_test", "pjlib++-test.vcproj", "{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}"
+	ProjectSection(ProjectDependencies) = postProject
+		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_samples", "pjlib_samples.vcproj", "{C1B9C84B-CE30-45D7-A322-986786CE29D5}"
+	ProjectSection(ProjectDependencies) = postProject
+		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "pjlib_test", "pjlib_test.vcproj", "{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}"
+	ProjectSection(ProjectDependencies) = postProject
+		{4A6465DC-D757-43F2-9180-60920E33522B} = {4A6465DC-D757-43F2-9180-60920E33522B}
+	EndProjectSection
+EndProject
 Global
+	GlobalSection(SourceCodeControl) = preSolution
+		SccNumberOfProjects = 4
+		SccProjectUniqueName0 = pjlib.vcproj
+		SccProjectName0 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
+		SccLocalPath0 = .
+		SccProvider0 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
+		SccProjectUniqueName1 = pjlib++.vcproj
+		SccProjectName1 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
+		SccLocalPath1 = .
+		SccProvider1 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
+		SccProjectUniqueName2 = pjlib_samples.vcproj
+		SccProjectName2 = \u0022$/pjproject-0.3/pjlib/build\u0022,\u0020EJDAAAAA
+		SccLocalPath2 = .
+		SccProvider2 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
+		SccProjectUniqueName3 = pjlib_test.vcproj
+		SccProjectName3 = \u0022$/pjproject/pjlib/build\u0022,\u0020UIAAAAAA
+		SccLocalPath3 = .
+		SccProvider3 = MSSCCI:Microsoft\u0020Visual\u0020SourceSafe
+	EndGlobalSection
 	GlobalSection(SolutionConfiguration) = preSolution
 		Debug = Debug
@@ -24,20 +48,24 @@
 	EndGlobalSection
 	GlobalSection(ProjectConfiguration) = postSolution
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}.Debug.ActiveCfg = Debug|Win32
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}.Debug.Build.0 = Debug|Win32
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}.Release.ActiveCfg = Release|Win32
-		{7BDE3EEB-E290-4E28-BCA2-7DC3F512AA8A}.Release.Build.0 = Release|Win32
-		{07AD8099-71FF-4DA3-9078-EF787D88A494}.Debug.ActiveCfg = Debug|Win32
-		{07AD8099-71FF-4DA3-9078-EF787D88A494}.Debug.Build.0 = Debug|Win32
-		{07AD8099-71FF-4DA3-9078-EF787D88A494}.Release.ActiveCfg = Release|Win32
-		{07AD8099-71FF-4DA3-9078-EF787D88A494}.Release.Build.0 = Release|Win32
-		{14E6C298-03F6-4125-8545-7FD5A34B8E5A}.Debug.ActiveCfg = Debug|Win32
-		{14E6C298-03F6-4125-8545-7FD5A34B8E5A}.Debug.Build.0 = Debug|Win32
-		{14E6C298-03F6-4125-8545-7FD5A34B8E5A}.Release.ActiveCfg = Release|Win32
-		{14E6C298-03F6-4125-8545-7FD5A34B8E5A}.Release.Build.0 = Release|Win32
-		{7BB69569-F8F5-41AB-95BB-9E3AA3A0CAB4}.Debug.ActiveCfg = Debug|Win32
-		{7BB69569-F8F5-41AB-95BB-9E3AA3A0CAB4}.Debug.Build.0 = Debug|Win32
-		{7BB69569-F8F5-41AB-95BB-9E3AA3A0CAB4}.Release.ActiveCfg = Release|Win32
-		{7BB69569-F8F5-41AB-95BB-9E3AA3A0CAB4}.Release.Build.0 = Release|Win32
+		{4A6465DC-D757-43F2-9180-60920E33522B}.Debug.ActiveCfg = Debug|Win32
+		{4A6465DC-D757-43F2-9180-60920E33522B}.Debug.Build.0 = Debug|Win32
+		{4A6465DC-D757-43F2-9180-60920E33522B}.Release.ActiveCfg = Release|Win32
+		{4A6465DC-D757-43F2-9180-60920E33522B}.Release.Build.0 = Release|Win32
+		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Debug.ActiveCfg = Debug|Win32
+		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Debug.Build.0 = Debug|Win32
+		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Release.ActiveCfg = Release|Win32
+		{D124EDDD-ED22-43C0-9DDC-279BDEE7DF61}.Release.Build.0 = Release|Win32
+		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Debug.ActiveCfg = Debug|Win32
+		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Debug.Build.0 = Debug|Win32
+		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Release.ActiveCfg = Release|Win32
+		{2B01F39B-FF97-46BF-9CC8-26E3246ACA0E}.Release.Build.0 = Release|Win32
+		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Debug.ActiveCfg = Debug|Win32
+		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Debug.Build.0 = Debug|Win32
+		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Release.ActiveCfg = Release|Win32
+		{C1B9C84B-CE30-45D7-A322-986786CE29D5}.Release.Build.0 = Release|Win32
+		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Debug.ActiveCfg = Debug|Win32
+		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Debug.Build.0 = Debug|Win32
+		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Release.ActiveCfg = Release|Win32
+		{0F28531A-FE4A-4E40-9C7F-763316CA5C9C}.Release.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(ExtensibilityGlobals) = postSolution
Index: pjproject/trunk/pjlib/build/pjlib.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib.vcproj	(revision 124)
@@ -4,8 +4,6 @@
 	Version="7.10"
 	Name="pjlib"
-	SccProjectName=""
-	SccAuxPath=""
-	SccLocalPath=""
-	SccProvider="">
+	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
+	SccLocalPath=".">
 	<Platforms>
 		<Platform
@@ -75,5 +73,5 @@
 				Name="VCCLCompilerTool"
 				Optimization="2"
-				InlineFunctionExpansion="1"
+				InlineFunctionExpansion="2"
 				AdditionalIncludeDirectories="../include"
 				PreprocessorDefinitions="NDEBUG;WIN32;_LIB;PJ_WIN32;PJ_M_I386"
@@ -191,4 +189,26 @@
 			</File>
 			<File
+				RelativePath="..\src\pj\ctype.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
 				RelativePath="..\src\pj\equeue_winnt.c">
 				<FileConfiguration
@@ -280,81 +300,58 @@
 			<File
 				RelativePath="..\src\pj\file_access_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\file_io_ansi.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
 				RelativePath="..\src\pj\file_io_win32.c">
-			</File>
-			<File
-				RelativePath="..\src\pj\guid.c">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"
-						BrowseInformation="1"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BrowseInformation="1"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj\guid_win32.c">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"
-						BrowseInformation="1"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BrowseInformation="1"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj\hash.c">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BasicRuntimeChecks="3"
-						BrowseInformation="1"/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""
-						BrowseInformation="1"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj\ioqueue_common_abs.c">
 				<FileConfiguration
 					Name="Debug|Win32"
 					ExcludedFromBuild="TRUE">
 					<Tool
-						Name="VCCLCompilerTool"/>
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
 				</FileConfiguration>
 				<FileConfiguration
@@ -362,14 +359,82 @@
 					ExcludedFromBuild="TRUE">
 					<Tool
-						Name="VCCLCompilerTool"/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="..\src\pj\ioqueue_common_abs.h">
-			</File>
-			<File
-				RelativePath="..\src\pj\ioqueue_select.c">
-				<FileConfiguration
-					Name="Debug|Win32">
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\guid.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\guid_win32.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\hash.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\ioqueue_common_abs.c">
+				<FileConfiguration
+					Name="Debug|Win32"
+					ExcludedFromBuild="TRUE">
 					<Tool
 						Name="VCCLCompilerTool"
@@ -392,8 +457,34 @@
 			</File>
 			<File
-				RelativePath="..\src\pj\ioqueue_winnt.c">
+				RelativePath="..\src\pj\ioqueue_common_abs.h">
+			</File>
+			<File
+				RelativePath="..\src\pj\ioqueue_select.c">
 				<FileConfiguration
 					Name="Debug|Win32"
 					ExcludedFromBuild="TRUE">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32"
+					ExcludedFromBuild="TRUE">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pj\ioqueue_winnt.c">
+				<FileConfiguration
+					Name="Debug|Win32">
 					<Tool
 						Name="VCCLCompilerTool"
@@ -882,10 +973,15 @@
 				</File>
 				<File
-					RelativePath="..\src\pj\file_access_unistd.c">
+					RelativePath="..\src\pj\guid_simple.c">
 					<FileConfiguration
 						Name="Debug|Win32"
 						ExcludedFromBuild="TRUE">
 						<Tool
-							Name="VCCLCompilerTool"/>
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
 					</FileConfiguration>
 					<FileConfiguration
@@ -893,14 +989,23 @@
 						ExcludedFromBuild="TRUE">
 						<Tool
-							Name="VCCLCompilerTool"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\src\pj\file_io_ansi.c">
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\ioqueue_dummy.c">
 					<FileConfiguration
 						Name="Debug|Win32"
 						ExcludedFromBuild="TRUE">
 						<Tool
-							Name="VCCLCompilerTool"/>
+							Name="VCCLCompilerTool"
+							Optimization="0"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BasicRuntimeChecks="3"
+							BrowseInformation="1"/>
 					</FileConfiguration>
 					<FileConfiguration
@@ -908,9 +1013,13 @@
 						ExcludedFromBuild="TRUE">
 						<Tool
-							Name="VCCLCompilerTool"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\src\pj\guid_simple.c">
+							Name="VCCLCompilerTool"
+							Optimization="2"
+							AdditionalIncludeDirectories=""
+							PreprocessorDefinitions=""
+							BrowseInformation="1"/>
+					</FileConfiguration>
+				</File>
+				<File
+					RelativePath="..\src\pj\ioqueue_epoll.c">
 					<FileConfiguration
 						Name="Debug|Win32"
@@ -933,67 +1042,4 @@
 							PreprocessorDefinitions=""
 							BrowseInformation="1"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\src\pj\ioqueue_dummy.c">
-					<FileConfiguration
-						Name="Debug|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"
-							Optimization="0"
-							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions=""
-							BasicRuntimeChecks="3"
-							BrowseInformation="1"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"
-							Optimization="2"
-							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions=""
-							BrowseInformation="1"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\src\pj\ioqueue_epoll.c">
-					<FileConfiguration
-						Name="Debug|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"
-							Optimization="0"
-							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions=""
-							BasicRuntimeChecks="3"
-							BrowseInformation="1"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"
-							Optimization="2"
-							AdditionalIncludeDirectories=""
-							PreprocessorDefinitions=""
-							BrowseInformation="1"/>
-					</FileConfiguration>
-				</File>
-				<File
-					RelativePath="..\src\pj\ioqueue_linux_kernel.c">
-					<FileConfiguration
-						Name="Debug|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						ExcludedFromBuild="TRUE">
-						<Tool
-							Name="VCCLCompilerTool"/>
 					</FileConfiguration>
 				</File>
@@ -1385,4 +1431,7 @@
 				</File>
 				<File
+					RelativePath="..\include\pj\compat\m_sparc.h">
+				</File>
+				<File
 					RelativePath="..\include\pj\compat\malloc.h">
 				</File>
@@ -1395,4 +1444,7 @@
 				<File
 					RelativePath="..\include\pj\compat\os_palmos.h">
+				</File>
+				<File
+					RelativePath="..\include\pj\compat\os_sunos.h">
 				</File>
 				<File
Index: pjproject/trunk/pjlib/build/pjlib_samples.mak
===================================================================
--- pjproject/trunk/pjlib/build/pjlib_samples.mak	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib_samples.mak	(revision 124)
@@ -1,3 +1,4 @@
-OUTDIR=.\output\pjlib-samples-i386-win32-vc6-$(MODE)
+
+OUTDIR=.\output\pjlib-samples-i386-win32-$(VC)-$(MODE)
 
 SRCDIR=../src/pjlib-samples
@@ -15,8 +16,8 @@
 CFLAGS=/nologo /W4 $(MODE_CFLAGS) /DPJ_WIN32=1 /DPJ_M_I386=1 /I../include
 
-PJLIB=../lib/pjlib-i386-win32-vc6-$(MODE).lib
+PJLIB=../lib/pjlib-i386-win32-$(VC)-$(MODE).lib
 
 DEPEND=$(PJLIB)
-LIBS=netapi32.lib mswsock.lib ws2_32.lib ole32.lib
+LIBS=netapi32.lib mswsock.lib ws2_32.lib ole32.lib advapi32.lib
 CL=cl.exe
 
Index: pjproject/trunk/pjlib/build/pjlib_samples.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib_samples.vcproj	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib_samples.vcproj	(revision 124)
@@ -4,8 +4,8 @@
 	Version="7.10"
 	Name="pjlib_samples"
-	SccProjectName=""
+	SccProjectName="&quot;$/pjproject-0.3/pjlib/build&quot;, EJDAAAAA"
 	SccAuxPath=""
-	SccLocalPath=""
-	SccProvider=""
+	SccLocalPath="."
+	SccProvider="MSSCCI:Microsoft Visual SourceSafe"
 	Keyword="MakeFileProj">
 	<Platforms>
@@ -23,6 +23,6 @@
 			<Tool
 				Name="VCNMakeTool"
-				BuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug"
-				ReBuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug /a"
+				BuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug VC=vc7"
+				ReBuildCommandLine="nmake /nologo /f &quot;pjlib_samples.mak&quot; MODE=debug VC=vc7 /a"
 				Output="pjlib samples"/>
 		</Configuration>
@@ -36,6 +36,6 @@
 			<Tool
 				Name="VCNMakeTool"
-				BuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release"
-				ReBuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release /a"
+				BuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release VC=vc7"
+				ReBuildCommandLine="nmake /f &quot;pjlib_samples.mak&quot; MODE=release VC=vc7 /a"
 				Output="pjlib samples"/>
 		</Configuration>
Index: pjproject/trunk/pjlib/build/pjlib_test.vcproj
===================================================================
--- pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 123)
+++ pjproject/trunk/pjlib/build/pjlib_test.vcproj	(revision 124)
@@ -4,8 +4,6 @@
 	Version="7.10"
 	Name="pjlib_test"
-	SccProjectName=""
-	SccAuxPath=""
-	SccLocalPath=""
-	SccProvider="">
+	SccProjectName="&quot;$/pjproject/pjlib/build&quot;, UIAAAAAA"
+	SccLocalPath=".">
 	<Platforms>
 		<Platform
@@ -111,5 +109,4 @@
 				SuppressStartupBanner="TRUE"
 				GenerateDebugInformation="TRUE"
-				ProgramDatabaseFile=".\output\pjlib-test-i386-win32-vc7-release/pjlib-test-i386-win32-vc7-release.pdb"
 				SubSystem="1"
 				TargetMachine="1"/>
@@ -258,4 +255,23 @@
 			<File
 				RelativePath="..\src\pjlib-test\file.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
 			</File>
 			<File
@@ -703,4 +719,26 @@
 			<File
 				RelativePath="..\src\pjlib-test\timestamp.c">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BasicRuntimeChecks="3"
+						BrowseInformation="1"/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""
+						BrowseInformation="1"/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="..\src\pjlib-test\udp_echo_srv_ioqueue.c">
 				<FileConfiguration
 					Name="Debug|Win32">
